father(tom,bob).
father(tom,beverley).
father(jack,tom).
father(jack,benjamin).
father(tony,rosemary).

mother(rosemary,bob).
mother(rosemary,beverley).
mother(sally,tom).
mother(sally,benjamin).
mother(helen,rosemary).

parent(X,Y) :- 
    mother(X,Y).
parent(X,Y) :-
    father(X,Y).

ancestor(X,Y) :- 
    parent(X,Y).
ancestor(X,Y) :-
    parent(X,Z),
    ancestor(Z,Y).
