:- module(goal,[
        goal_compose/3,
        goal_select/3
   ]).

/* goal_compose(+G1,+G2,-Go) -Go is the composition of +G1 and +G2.*/

goal_compose(true,G2,G2) :-
    !.
goal_compose(G1,true,G1) :-         
        % G1 \== true
    !.
goal_compose((L,G1),G2,(L,Go)) :- 
        % G2 \== true
    !,
    goal_compose(G1,G2,Go).
goal_compose(L,G2,(L,G2)).     
        %\+ L=(_,_),\+ L =true,\+ G2 =true

/*goal_select(+Gi,-L,-Go) Gi = (L,Go)  unless +Gi  is a one literal
goal where Gi=L and Go=true.*/

goal_select((L,Go),L,Go) :-
    !.
goal_select(L,L,true).
